#
#

b=""
c=""
def tekisyutu(a,b)
  if a.slice!("世紀")=="世紀"
    b=="世紀"
    return b
  elsif a.slice!("年")=="年"
    b=="年"
  elsif a.slice!("月")=="月"
    b=="月"
  elsif a.slice!("週間")=="週間"
    b=="週間"
  elsif a.slice!("日")=="日"
    b=="日"
  elsif a.slice!("時間")=="時間"
    b=="時間"
  elsif a.slice!("分")=="分"
    b=="分"
  elsif a.slice!("秒")=="秒"
    b=="秒"
  else
    puts("世紀、年、月、週間、日、時間、分、秒のどれかを入力してくださいね。")
    redo
  end
  if b.length<=2
    puts("ひとつだけにしてください。")
    redo
  end
end
puts("変換する時間(数字と 世紀、年、月、週間、日、時間、分、秒のどれかを入力)")
print(">>")
suru=gets.chomp
tekisyutu(suru,b)

puts("")

puts("変換させる時間(世紀、年、月、週間、日、時間、分、秒のどれかを入力)")
print(">>")
saseru=gets.chomp
tekisyutu(saseru,c)

puts("")

printf("%s%sを%sに変換します\n",suru,b[0],c[0])


